RegionConfig.Entry (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: RegionConfig, class: Entry

Package org.apache.geode.cache.configuration

# Class RegionConfig.Entry

java.lang.Object
org.apache.geode.cache.configuration.RegionConfig.Entry

All Implemented Interfaces:
  `Serializable`

Enclosing class:
  RegionConfig

public static class RegionConfig.Entry extends Object implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="key">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <choice>
                       <element name="string" type="{http://geode.apache.org/schema/cache}string-type"/>
                       <element name="declarable" type="{http://geode.apache.org/schema/cache}declarable-type"/>
                     </choice>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
             <element name="value">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <choice>
                       <element name="string" type="{http://geode.apache.org/schema/cache}string-type"/>
                       <element name="declarable" type="{http://geode.apache.org/schema/cache}declarable-type"/>
                     </choice>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected ObjectType`
  `key`
  `protected ObjectType`
  `value`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Entry()`
  `Entry(String key, String value)`
  `Entry(ObjectType key, ObjectType value)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ObjectType`
  `getKey()`
  Gets the value of the key property.
  `ObjectType`
  `getValue()`
  Gets the value of the value property.
  `void`
  `setKey(ObjectType value)`
  Sets the value of the key property.
  `void`
  `setValue(ObjectType value)`
  Sets the value of the value property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### key

    protected ObjectType key

  - ### value

    protected ObjectType value

- ## Constructor Details

  - ### Entry

    public Entry()

  - ### Entry

    public Entry(String key, String value)

  - ### Entry

    public Entry(ObjectType key, ObjectType value)

- ## Method Details

  - ### getKey

    public ObjectType getKey()
    Gets the value of the key property. possible object is `ObjectType`
    Returns:
      the value of the key property

  - ### setKey

    public void setKey(ObjectType value)
    Sets the value of the key property. allowed object is `ObjectType`
    Parameters:
      `value` - the value of the key property

  - ### getValue

    public ObjectType getValue()
    Gets the value of the value property. possible object is `ObjectType`
    Returns:
      the value of the value property

  - ### setValue

    public void setValue(ObjectType value)
    Sets the value of the value property. allowed object is `ObjectType`
    Parameters:
      `value` - the value of the value property